#include <stdio.h>
#include <stdlib.h>

int main()
{
     long int n;
    scanf("%ld",&n);
     long int k;
    scanf("%ld",&k);
     long int a[n];
    long int i;
    for(i=0;i<n;i++){
            scanf("%ld",&a[i]);

    }
     long int j;
     long int br;
    br=1;
    long int b[100];
     long int m;
    m=0;
     long int d;
    i=0;
    long int x;
    for(i=0;i<=n-2;i++){
           for(j=i+1;j<=n-1;j++){
                 if(a[i]==a[j]){
                    br++;
                }
            }
              if(br==k){
                    b[m]=a[i];
                    m++;
                }
                br=1;
    }
    printf("%ld\n",m);
    for(j=0;j<m;j++){
            printf("%ld",b[j]);
            printf(" ");

    }


}